services:
  nginx:
    # This is actually an official image from nginx
    image: nginxinc/nginx-unprivileged:latest
    user: "${UID}:${GID}"
    ports:
      - "${NGINX_HTTP_BIND}:8080"
      - "${NGINX_HTTPS_BIND}:8443"
    environment:
      - "NGINX_HOST=${NGINX_BIND}"
      - "NGINX_AUTOINDEX=${NGINX_AUTOINDEX}"
      - "NGINX_HTTP_PORT=8080"
      - "NGINX_HTTPS_PORT=8443"

    volumes:
      - "${NGINX_DEFAULT_TEMPLATE}:/etc/nginx/templates/default.conf.template"
      - "${NGINX_GENERATE_CERT}:/docker-entrypoint.d/generate_cert.sh"
      - "${NGINX_DIR}:/usr/share/nginx/html"
